Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_EntityResolver Class Reference

ACEXML_EntityResolver. More...

`#include <EntityResolver.h>`

Inheritance diagram for ACEXML_EntityResolver:

[legend]
List of all members.

## Public Methods
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0

## Detailed Description

ACEXML_EntityResolver.

If a SAX application needs to implement customized handling for external entities, it must implement this interface and register an instance with the SAX driver using the setEntityResolver method.

The XML reader will then allow the application to intercept any external entities (including the external DTD subset and external parameter entities, if any) before including them.

Many SAX applications will not need to implement this interface, but it will be especially useful for applications that build XML documents from databases or other specialised input sources, or for applications that use URI types other than URLs.

## Member Function Documentation

virtual ACEXML_InputSource* ACEXML_EntityResolver::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[pure virtual]`

| Allow the application to resolve external entities. Implemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

The documentation for this class was generated from the following file:

- EntityResolver.h